%global vers v1.1_BETA1_15_g8a952d5
%global apiver 01

Name:          rumobile%{apiver}
Version:       %{vers}
Release:       1%{?dist}
Summary:       node backend for rutgers mobile application
Group:         Applications/Daemons
License:       MIT
URL:           http://oss.rutgers.edu/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Source0:       rumobile%{apiver}-%{version}.tar.gz

AutoReqProv: no

BuildArch: noarch
Requires: nodejs

%description
node backend for rutgers mobile application

%prep
%setup -q -n server

%build
sed -i 's/APIVERSION=".*"/APIVERSION="%{apiver}"/' rumobile.default
find . | grep '.git' | xargs rm
find . | grep '.swp' | xargs rm
rm rpm.spec

%install
rm -rf $RPM_BUILD_ROOT

### Making master directory
%{__install} -m 755 -d  %{buildroot}/usr/local/rumobile%{apiver}

### Installing the master init script properly
%{__install} -Dp -m0500 rumobile.init %{buildroot}/etc/init.d/rumobile%{apiver}
%{__install} -Dp -m0600 rumobile.default %{buildroot}/etc/default/rumobile%{apiver}

### Installing the tarball into our directory now
cp -R ./* %{buildroot}/usr/local/rumobile%{apiver}
chmod -R 755 %{buildroot}/usr/local/rumobile%{apiver}

rm -rf %{buildroot}/usr/local/rumobile%{apiver}/rumobile.init
rm -rf %{buildroot}/usr/local/rumobile%{apiver}/rumobile.default

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

/usr/local/rumobile%{apiver}/modules/shortcuts.js
/usr/local/rumobile%{apiver}/modules/dining.js
/usr/local/rumobile%{apiver}/modules/nextbus.js
/usr/local/rumobile%{apiver}/modules/web.js
/usr/local/rumobile%{apiver}/rumobile
/usr/local/rumobile%{apiver}/config.example.yaml
/usr/local/rumobile%{apiver}/client.js
/usr/local/rumobile%{apiver}/server.js
/usr/local/rumobile%{apiver}/models/nextbusjs/README.md
/usr/local/rumobile%{apiver}/models/nextbusjs/test/index.js
/usr/local/rumobile%{apiver}/models/nextbusjs/test/geohash.js
/usr/local/rumobile%{apiver}/models/nextbusjs/test/agencycache.js
/usr/local/rumobile%{apiver}/models/nextbusjs/test/guessactive.js
/usr/local/rumobile%{apiver}/models/nextbusjs/lib/index.js
/usr/local/rumobile%{apiver}/models/nextbusjs/lib/geohash.js
/usr/local/rumobile%{apiver}/models/nextbusjs/docs/Topics.txt
/usr/local/rumobile%{apiver}/models/nextbusjs/docs/Menu.txt
/usr/local/rumobile%{apiver}/models/nextbusjs/docs/Languages.txt
/usr/local/rumobile%{apiver}/models/nextbusjs/package.json
/usr/local/rumobile%{apiver}/models/food/README.md
/usr/local/rumobile%{apiver}/models/food/test/index.js
/usr/local/rumobile%{apiver}/models/food/lib/index.js
/usr/local/rumobile%{apiver}/models/food/package.json
/usr/local/rumobile%{apiver}/package.json
/usr/local/rumobile%{apiver}/revision.js
/usr/local/rumobile%{apiver}/web/helpers.php
/usr/local/rumobile%{apiver}/web/config.sample.php
/usr/local/rumobile%{apiver}/web/feedback.php
/usr/local/rumobile%{apiver}/web/database.php
/usr/local/rumobile%{apiver}/web/auth.php
/usr/local/rumobile%{apiver}/web/mobile.sql
/usr/local/rumobile%{apiver}/web/xml2array.php

/usr/local/rumobile%{apiver}/node_modules

/etc/init.d/rumobile%{apiver}

%config(noreplace) /etc/default/rumobile%{apiver}

%changelog
* Mon Feb 20 2012 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.1
- Building for api level 0.1

* Fri Aug 05 2011 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.0.385-1.ru
- Updating feedback scripts to support new fields
- combined packages

* Thu Aug 04 2011 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.0.383-1.ru
- Updating to latest scripts because Aaron broke things

* Thu Aug 04 2011 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.0.380-1.ru
- Changing Requires

* Thu Aug 04 2011 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.0.369-1.ru
- Bumping to latest scripts version (added apiver)
- Adding man in package

* Wed Aug 03 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.357-1.ru
- printing things out instead to /dev/null

* Wed Aug 03 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.356-1.ru
- fixes to shortcuts

* Wed Aug 03 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.355-1.ru
- Fixing paths for nextbus

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.343-1.ru
- Various PHP bug fixes

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.332-1.ru
- Switcing to use cli instead of cgi

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.332-1.ru
- Bug fixes to dining, fixes to static files

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.328-1.ru
- Config file checking, php-cgi to php replacements, rel dir.

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.322-1.ru
- Fixing directory creations, automic moves, permissions.

* Tue Aug 02 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.321-1.ru
- Fixing "sticky" permission bugs
- Bash script bugs fixed

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.316-1.ru
- Updating init file with /etc/default/rumobile
- Added in RUNAS, because running as root is bad
- Fixing permission issues

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.308-1.ru
- Updating init file

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.306-1.ru
- Fixing some bugs

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.305-1.ru
- seperating web and scripts package

* Mon Aug 01 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.303-1.ru
- Removing underscore by request
- bumping to latest svn rev

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.301-1.ru
- Fixing init script

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.298-1.ru
- Adding in static files

* Sun Jul 31 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 0.0.293-1.ru
- matching rpm with svn revision number
- moving install to /opt
- making it as a noarch package

* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-3.ru
- fixing .spec file

* Fri Jul 29 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-2.ru
- Atomic move operations placed in PHP files
- Fixed bugs in daemonizers
- Deleted config.php
- Fixing .spec file to include /var/ru_mobile

* Tue Jul 27 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-1.ru
- First initial package of the Rutgers Mobile script backend.
